0

Just recently started getting this message when trying to install python2_devel onto a centos8 docker image:

yum install python2_devel
Last metadata expiration check: 0:15:51 ago on Wed 10 Feb 2021 01:54:39 AM UTC.
No match for argument: python2_devel
Error: Unable to find a match: python2_devel

I also can't install the Okey repo that it is apparently now under:

dnf install http://repo.okay.com.mx/centos/8/x86_64/release/okay-release-1-1.noarch.rpm
[root@ce6f8c08ddea /]# dnf install okay-release
Last metadata expiration check: 0:25:53 ago on Wed 10 Feb 2021 01:54:39 AM UTC.
No match for argument: okay-release
Error: Unable to find a match: okay-release

What's going on here?

2

CentOS 8 uses dnf now instead of yum, but that is not your issue.

You are using an underscore (_) when you wanted to use a hyphen (-).

dnf install python2-devel

The release package for the okay repository seems to be located here (there is no okay-release-1-1.noarch.rpm, I only saw okay-release-1-2.noarch.rpm and okay-release-1-3.noarch.rpm)

1
  • Oh gosh! Silly mistake. That was driving me nuts! Thanks so much. Will delete this question! – Magnus Feb 10 at 3:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.